# DataExchange
TKIGES
IGESData

# IGESData_LevelListEntity Class Reference

defines required type for LevelList in directory part
an effective LevelList entity must inherits it

`#include <IGESData_LevelListEntity.hxx>`

Inheritance diagram for IGESData_LevelListEntity:

[legend]

## Public Member Functions

virtual Standard_EXPORT Standard_Integer | NbLevelNumbers () const =0
| Must return the count of levels .
virtual Standard_EXPORT Standard_Integer | LevelNumber (const Standard_Integer num) const =0
| returns the Level Number of <me>, indicated by <num> raises an exception if num is out of range
Standard_EXPORT Standard_Boolean | HasLevelNumber (const Standard_Integer level) const
| returns True if <level> is in the list
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const IGESData_LevelListEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity. Reimplemented in IGESGraph_DefinitionLevel.

Standard_EXPORT Standard_Boolean IGESData_LevelListEntity::HasLevelNumber | ( | const Standard_Integer | level | ) | const

virtual Standard_EXPORT Standard_Integer IGESData_LevelListEntity::LevelNumber | ( | const Standard_Integer | num | ) | const`[pure virtual]`

| Implemented in IGESGraph_DefinitionLevel.

virtual Standard_EXPORT Standard_Integer IGESData_LevelListEntity::NbLevelNumbers | ( |  | ) | const`[pure virtual]`

| Implemented in IGESGraph_DefinitionLevel.

The documentation for this class was generated from the following file:

- IGESData_LevelListEntity.hxx